'use strict';

module.exports = {
    bower: {
        files: 'bower.json',
        tasks: ['wiredep']
    },
    js: {
        files: [
            '<%= accountant.frontend.src %>/js/*.js %>',
            'grunt-config/*.js'
        ],
        tasks: ['jsdev']
    },
    py: {
        files: 'accountant/**/*.py',
        tasks: ['pydev', 'bgShell:runserver']
    },
    html: {
        files: [
            '<%= accountant.frontend.src %>/*.html',
            '<%= accountant.frontend.src %>/views/*.html'
        ],
        tasks: ['htmldev']
    },
    gruntfile: {
        files: ['Gruntfile.js', 'grunt-config/*.js']
    },
    livereload: {
        options: {
            livereload: '<%= connect.options.livereload %>'
        },
        files: [
            '<%= accountant.frontend.src %>/{,*/}*.html',
            '<%= accountant.frontend.src %>/js/*.js',
            '<%= accountant.frontend.src %>/css/*.css'
        ]
    },
    requirements: {
        files: ['requirements.txt'],
        tasks: ['shell:pipInstall']
    }
};
